/*
 * Copyright (c) 1994, SimSoft
 */

#ifdef __cplusplus
extern "C" {
#endif

#ifdef WIN32
HBITMAP APIENTRY ReadFileIntoDDB (char *, HPALETTE *, BOOL);
LPVOID APIENTRY ReadFileIntoDIB (char *);
long APIENTRY GetLastImgLibError (void);
LPVOID APIENTRY WinGHalftoneDIB (LPVOID, HPALETTE *);
void APIENTRY DIBFree (LPVOID);
HPALETTE APIENTRY CreateDIBPalette (LPVOID);
LPVOID APIENTRY DDBToDIB (HBITMAP, HPALETTE);
HBITMAP APIENTRY DIBToDDB (LPVOID, HPALETTE *);
LPVOID APIENTRY BrightenDIB (LPVOID, short);
LPVOID APIENTRY ReduceDIB (LPVOID, long, BOOL);
LPVOID APIENTRY SmoothDIB (LPVOID, short);
LPVOID APIENTRY HalftoneDIB (LPVOID);
LPVOID APIENTRY GrayDIB (LPVOID);
BOOL APIENTRY WriteDIBToFile (LPVOID, LPSTR);
#else
HBITMAP FAR PASCAL ReadFileIntoDDB (LPSTR, HPALETTE FAR *, BOOL);
LPVOID FAR PASCAL ReadFileIntoDIB (LPSTR);
long FAR PASCAL GetLastImgLibError (void);
LPVOID FAR PASCAL WinGHalftoneDIB (LPVOID, HPALETTE FAR *);
void FAR PASCAL DIBFree (LPVOID);
HPALETTE FAR PASCAL CreateDIBPalette (LPVOID);
LPVOID FAR PASCAL DDBToDIB (HBITMAP, HPALETTE);
HBITMAP FAR PASCAL DIBToDDB (LPVOID, HPALETTE FAR *);
LPVOID FAR PASCAL BrightenDIB (LPVOID, short);
LPVOID FAR PASCAL ReduceDIB (LPVOID, long, BOOL);
LPVOID FAR PASCAL SmoothDIB (LPVOID, short);
LPVOID FAR PASCAL HalftoneDIB (LPVOID);
LPVOID FAR PASCAL GrayDIB (LPVOID);
BOOL FAR PASCAL WriteDIBToFile (LPVOID, LPSTR);
#endif

#define ERROR_READ_ACCESS_DENIED        1
#define ERROR_WRITE_ACCESS_DENIED       2
#define ERROR_NO_MEMORY                 3
#define ERROR_NO_DLL                    4
#define ERROR_INVALID_POINTER           5
#define ERROR_INVALID_ARGUMENT          6
#define ERROR_UNSUPPORTED_IMAGE         7

#ifdef __cplusplus
}
#endif
